<div mat-dialog-title fxLayout="row" fxLayoutAlign="start center">
  <h2>CHECKOUT</h2>
  <span class="toolbar__spacer"></span>
  <button
    tabindex="-1"
    mat-icon-button
    aria-label="Close"
    (click)="closeDialog()"
  >
    <mat-icon>close</mat-icon>
  </button>
</div>
<mat-stepper orientation="vertical" linear #stepper (selectionChange)="selectionChange($event)">
  <mat-step [label]="checkoutStepper.INFORMATION" [completed]="isFormValidated">
    <ng-template matStepLabel>Fill out your information</ng-template>
    <div class="checkout__step">
      <pm-checkout-information
        [checkoutTotal]="checkoutTotal"
        (nextStepEventEmitter)="enableNextStep($event)"
      ></pm-checkout-information>
    </div>
  </mat-step>
  <mat-step [label]="checkoutStepper.SUMMARY" [completed]="isFormValidated">
    <ng-template matStepLabel>Summary</ng-template>
    <div *ngIf="this.currentStep == this.checkoutStepper.SUMMARY" class="checkout__step">
      <pm-checkout-summary
        [pagoCheckout]="pagoCheckout"
        (purchaseEventEmitter)="getPurchase($event)"
      ></pm-checkout-summary>
    </div>
  </mat-step>
  <mat-step [label]="checkoutStepper.CONFIRMATION">
  <ng-template matStepLabel>Done</ng-template>
    <div *ngIf="this.currentStep == this.checkoutStepper.CONFIRMATION">
      <pm-checkout-complete [order]="order"></pm-checkout-complete>
    </div>
  </mat-step>
</mat-stepper>
